# dudelbox

## Definitionen 
  - Tag: RFID Transponder, z.B. Karte oder Fob

## Container / Service
  -  `droppy` Web-Dateimanager, (http port 8989)
  - `mopidy` Music Play:
    - Spielt Medien ab
    - WebUI-Extension zur manuellen Steuerung (http port 80)
    - MPD-Extension zur Steuerung per MPD Protokol  (Port 6600)
  - `rfidac`
    - Liest den USB Reader
    - Führt Bash Scipts mit der Tag ID als Namen aus
    - Steuert mopidy per mpd (mpc)
    - Aktuallisiert Tag Ordner im Medien-Verzeichnis

## Lokale Medien
  - Medien liegen lokal auf `~/dudelbox/mopidy/data/mopidy/music/` 
  - Der Ordner lässt sich per Web-Dateimanager (Droppy) verwalten

## Tag Aktionen
  - Jeder Tag führt ein Bash Skript mit der ID des Tags als Namen aus
  - Sollte das Script noch nicht vorhanden sein,
    wird es als Kopie von `_action_tempalte` erstellt
    und ausgeführt wenn der Tag das nächste mal sichtbar wird
  - Standard-Aktion legt `_action_template`:
    -  Für jeden Tag wird ein Ordner mit der Tag ID als Namen im Medien-Ordner angelegt
    - Das Datum des Ordners wird aktuallisiert wenn der Tag sichtbar ist
    - Alle Medien im Ordner werden der Playliste hinzugefügt und abgespielt.
      Etwaig bestehende Titel in der Playlist werden gelöscht.
  - Weitere denkbare Aktionen:
    - Lauter / leiser
    - Stop
    - Shutdown
    - Play Playlist mit Tag ID
